Package ru.bitel.common

# Class DateTimeUtils

java.lang.Object
ru.bitel.common.DateTimeUtils

    public class DateTimeUtils
    extends java.lang.Object

Новый утильный класс для java.time.*

- ## Field Summary

  Fields
  Modifier and Type | Field | Description
  --- | --- | ---
  `static java.lang.String` | `DATE_FORMAT_PATTERN_DDMMYYYY` |

- ## Constructor Summary

  Constructors
  Constructor | Description
  --- | ---
  `DateTimeUtils()` |

- ## Method Summary

  Modifier and Type | Method | Description
  --- | --- | ---
  `static java.lang.String` | `format​(java.time.LocalDate localDate, java.lang.String dateFormat)` | Форматирует LocalDate в строку указанным шаблоном.
  `static java.time.LocalDate` | `parseLocalDate​(java.lang.String value, java.lang.String dateFormat)` | Парсит в LocalDate из строки с указанным шаблоном.
  `static java.time.LocalDate` | `toLocalDate​(java.util.Date date)` | Преобразует старую java.util.Date в LocalDate используя дефолтную системную таймзону.
  `static java.util.Date` | `toOldDate​(java.time.LocalDate date)` | Преобразует LocalDate в старую java.util.Date + время 00:00:00, используя дефолтную системную таймзону.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### DATE_FORMAT_PATTERN_DDMMYYYY

    public static final java.lang.String DATE_FORMAT_PATTERN_DDMMYYYY
    See Also:
      Constant Field Values

- ## Constructor Details

  - ### DateTimeUtils

    public DateTimeUtils()

- ## Method Details

  - ### parseLocalDate

    public static java.time.LocalDate parseLocalDate​(java.lang.String value, java.lang.String dateFormat)
    Парсит в LocalDate из строки с указанным шаблоном.

  - ### format

    public static final java.lang.String format​(java.time.LocalDate localDate, java.lang.String dateFormat)
    Форматирует LocalDate в строку указанным шаблоном.

  - ### toLocalDate

    public static final java.time.LocalDate toLocalDate​(java.util.Date date)
    Преобразует старую java.util.Date в LocalDate используя дефолтную системную таймзону. Если на входе null то на выходе тоже null.

  - ### toOldDate

    public static java.util.Date toOldDate​(java.time.LocalDate date)
    Преобразует LocalDate в старую java.util.Date + время 00:00:00, используя дефолтную системную таймзону. Если на входе null то на выходе тоже null.